ControlCommandsAPI (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.agent.ControlCommandsAPI class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.agent
Class ControlCommandsAPI

    java.lang.Object
      org.hyperic.hq.agent.AgentAPIInfo
          org.hyperic.hq.control.agent.ControlCommandsAPI

    public final class ControlCommandsAPI

extends AgentAPIInfo

Field Summary
`static java.lang.String` | `command_controlAgtRcvFileData`
`static java.lang.String` | `command_controlAgtUndoFileData`
`static java.lang.String` | `command_controlPluginAdd`
`static java.lang.String` | `command_controlPluginCommand`
`static java.lang.String` | `command_controlPluginRemove`
`static java.lang.String[]` | `commandSet`

Constructor Summary
`ControlCommandsAPI()`

Method Summary

Methods inherited from class org.hyperic.hq.agent.AgentAPIInfo
`getBugfixVersion, getMajorVersion, getMinorVersion, getVersion, isCompatible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### command_controlPluginAdd

    public static final java.lang.String command_controlPluginAdd

See Also:
  Constant Field Values

### command_controlPluginCommand

    public static final java.lang.String command_controlPluginCommand

See Also:
  Constant Field Values

### command_controlPluginRemove

    public static final java.lang.String command_controlPluginRemove

See Also:
  Constant Field Values

### command_controlAgtRcvFileData

    public static final java.lang.String command_controlAgtRcvFileData

See Also:
  Constant Field Values

### command_controlAgtUndoFileData

    public static final java.lang.String command_controlAgtUndoFileData

See Also:
  Constant Field Values

### commandSet

    public static final java.lang.String[] commandSet

Constructor Detail

### ControlCommandsAPI

    public ControlCommandsAPI()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.